Skip to main content
GET
/
v1
/
refresh
/
tasks
/
{task_id}
Retrieve a data refresh status
curl --request GET \
  --url https://prod.truv.com/v1/refresh/tasks/{task_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "24d7e80942ce4ad58a93f70ce4115f5c",
  "refresh_date": "2020-03-10T00:00:00.000Z",
  "status": "new",
  "created_at": "2021-04-06T11:30:00.000Z"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

task_id
string
required

Task ID received from the POST request

Response

Link data refresh task

id
string
required

Unique refresh task ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

refresh_date
string<date>
required

Date of the data refresh (Deprecated, invalid datetime format)

Example:

"2020-03-10T00:00:00.000Z"

status
string
required
Example:

"new"

created_at
string

Time when refresh task was created

Example:

"2021-04-06T11:30:00.000Z"